Subject: Re: Commit graph not using minimal number of columns

From: Derrick Stolee <[email-masked]>
Date: Thu, 27 Apr 2023 09:02:43 -0400

On 4/26/2023 1:43 PM, Junio C Hamano wrote:
> Derrick Stolee <[email-masked]> writes:
> 
>> To adapt this algorithm to a newer, dynamic ordering that cares about
>> minimizing the rendered graph, I don't think changing the priority
>> queue comparison would be sufficient. Something deeper would be
>> required and would be quite messy.
> 
> Oh, I wasn't thinking about "graph-friendly" at all.  
> 
> I was wondering if we replaced --date-order implementation with
> corrected commit date from the generation number work would give us
> a better output order that users would expect in general (with or
> without --graph).

Ah. My mistake.

Corrected commit date should be equal to commit date unless there
is clock skew causing a commit to be older than its parent, (or
we have a path of commits with equal commit date) so I don't
anticipate that being helpful in general.

Thanks,
-Stolee